=== debian/changelog ===
camljava (0.3-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Set upstream metadata fields: Repository-Browse
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:13:46 +0200

camljava (0.3-4) unstable; urgency=medium

  * Team upload
  * Do not link jni.cma with -custom (Closes: #973181)
  * Bump Standards-Version to 4.6.0
  * Update debian/watch: bump version to 4, point to new upstream location

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Jan 2022 15:47:32 +0100

camljava (0.3-3) unstable; urgency=medium

  * Team upload
  * Remove Stefano from Uploaders
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Switch copyright format to 1.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jul 2020 11:51:17 +0200

camljava (0.3-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Update Vcs-*
  * Bump debhelper compat to 10
  * Switch source package format to 3.0 (quilt)

  [ Dimitri John Ledkov ]
  * Cherrypick upstream patch to use jlong instead of int64, fixes FTBFS
    with ocaml 4.04.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jul 2017 09:40:41 +0200

camljava (0.3-1) unstable; urgency=low

  * Initial Release (Closes: #558090).

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Dec 2009 11:19:13 +0100
