=== debian/control ===
Source: camljava
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 default-jdk,
 ocaml-findlib,
 dh-ocaml
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/camljava.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camljava
Homepage: https://pauillac.inria.fr/~xleroy/software.html#camljava

Package: libcamljava-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 default-jdk,
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: interface between OCaml and Java via Caml/C interface and JNI
 CamlJava is an interface between OCaml and Java allowing programs written in
 one of the two languages to call code written in the other.
 .
 Interaction among the two languages happen via the respective C interfaces:
 Caml/C interface for OCaml and JNI (Java Native Interface) for Java.
 .
 Currently, CamlJava provides a low-level, weakly-typed OCaml interface very
 similar to the JNI. Java object references are mapped to an abstract type, and
 various JNI-like operations are provided to allow Java method invocation,
 field access, and more.
 .
 A basic callback facility (allowing Java code to invoke methods on OCaml
 objects) is also provided, although some stub Java code must be written by
 hand.
 .
 This package contain all the development stuff needed to use CamlJava from
 OCaml programs.
