=== debian/changelog ===
camljava (0.4-2build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:17:50 +0200

camljava (0.4-2build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:52:32 +0200

camljava (0.4-2build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 19:37:05 +0100

camljava (0.4-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2024 10:45:33 +0200

camljava (0.4-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:40:11 +0200

camljava (0.4-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:34:29 +0200

camljava (0.4-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:09:06 +0200

camljava (0.4-2) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 5.x

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 09:18:33 +0200

camljava (0.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix typo in call to dh (Closes: #1076614)
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 20 Jul 2024 09:41:58 +0200
