=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  default-jdk,
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/camljava.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camljava
