=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 endif
 
 %:
-	dh $@ --with-ocaml
+	dh $@ --with=ocaml
 
 override_dh_auto_build:
 	$(MAKE) $(DEB_MAKE_BUILD_TARGET)
