=== debian/watch ===
version=4
opts=uversionmangle=s/(.)(.)/$1.$2/ \
https://github.com/xavierleroy/camljava/tags .*/camljava(\d\d)\.tar\.gz
